help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: sending mail using tls using Emacs under Windows


From: Eli Zaretskii
Subject: Re: sending mail using tls using Emacs under Windows
Date: Fri, 27 Mar 2015 22:52:50 +0300

> From: Will Parsons <address@hidden>
> Date: 27 Mar 2015 19:37:34 GMT
> 
> Eli Zaretskii wrote:
> >> From: Will Parsons <address@hidden>
> >> Date: 27 Mar 2015 17:40:25 GMT
> >> 
> >> Eli Zaretskii wrote:
> >> >> From: Will Parsons <address@hidden>
> >> >> Date: 26 Mar 2015 20:57:48 GMT
> >> >> 
> >> >> Sending via mail...
> >> >> gnutls.el: (err=[-64] Error while reading file.) boot: (:priority
> >> >> NORMAL :hostname smtp.gmail.com :loglevel 0 :min-prime-bits 256
> >> >> :trustfiles (/usr/ssl/certs/ca-bundle.crt) :crlfiles nil :keylist nil
> >> >> :verify-flags nil :verify-error nil :callbacks nil)
> >> >> gnutls-negotiate: GnuTLS error: #<process smtpmail>, -64
> >> >
> >> > Do you have a certificate bundle in /usr/ssl/certs/ca-bundle.crt?
> >> 
> >> Since this is a native Windows Emacs, no such path exists.
> >
> > Then you need to point GnuTLS to the correct file name on your system.
> >
> >> In a separate reply, Sivaram suggested the setting:
> >> 
> >>  (setq gnutls-trustfiles '("c:/cygwin/usr/ssl/certs/ca-bundle.trust.crt"
> >>                            "c:/cygwin/usr/ssl/certs/ca-bundle.crt"))
> >> 
> >> This works (thank you Sivaram), but of course it works because it
> >> depends on having Cygwin installed.
> >
> > The bundle has nothing to do with Cygwin, you can install it
> > separately.
> 
> Fair enough, but it's not exactly clear what I need to install, or
> from where.  (If I've missed some documentation describing this, I
> apologize.)

I don't think you missed something.  One place where you can find
instructions for how to download and create a bundle is here:

  http://www.linuxfromscratch.org/blfs/view/svn/postlfs/cacerts.html

> > The development version of Emacs instructs GnuTLS to use the
> > certificates stored by Windows, so the separate bundle will no longer
> > be needed with that version.
> 
> So this will be case for the coming 24.5?

Unfortunately, no.  It will be only available in Emacs 25.  Emacs 24.5
is a bug-fix release with no major new features.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]